### Hierarchy

- RouterMenu

## Index

### Properties

- change
- data
- dataJson
- el
- state

### Methods

- componentDidLoad
- componentDidUpdate
- getData
- postRender
- render
- setData

## Properties

### change

change: EventEmitter

- Defined in router/router-menu/router-menu.tsx:25

### data

data: any

- Defined in router/router-menu/router-menu.tsx:9

### dataJson

dataJson: string

- Defined in router/router-menu/router-menu.tsx:11

### el

el: HTMLElement

- Defined in router/router-menu/router-menu.tsx:8

### state

state: any

- Defined in router/router-menu/router-menu.tsx:10

## Methods

### componentDidLoad

- componentDidLoad(): void

- - Defined in router/router-menu/router-menu.tsx:13

  #### Returns void

### componentDidUpdate

- componentDidUpdate(): void

- - Defined in router/router-menu/router-menu.tsx:17

  #### Returns void

### getData

- getData(): any

- - Defined in router/router-menu/router-menu.tsx:40

  #### Returns any

### postRender

- postRender(): void

- - Defined in router/router-menu/router-menu.tsx:21

  #### Returns void

### render

- render(): any

- - Defined in router/router-menu/router-menu.tsx:44

  #### Returns any

### setData

- setData(data: any, extend?: boolean): void

- - Defined in router/router-menu/router-menu.tsx:28

  #### Parameters

  - ##### data: any

  - ##### Default value extend: boolean = false

  #### Returns void